import request from '@/utils/request'

// 查询词云列表
export function listCy(query) {
  return request({
    url: '/tcZz/netWorkYq/cy/ListNoToken',
    method: 'get',
    params: query
  })
}

// 查询词云详细
export function getCy(id) {
  return request({
    url: '/tcZz/netWorkYq/cy/' + id,
    method: 'get'
  })
}

// 新增词云
export function addCy(data) {
  return request({
    url: '/tcZz/netWorkYq/cy',
    method: 'post',
    data: data
  })
}

// 修改词云
export function updateCy(data) {
  return request({
    url: '/tcZz/netWorkYq/cy',
    method: 'put',
    data: data
  })
}

// 删除词云
export function delCy(id) {
  return request({
    url: '/tcZz/netWorkYq/cy/' + id,
    method: 'delete'
  })
}
